Bug 444694 - Can't close desktop grid with four finger swipe up gestures
Summary: Can't close desktop grid with four finger swipe up gestures
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: effects-desktop-grid (show other bugs)
Version: 5.23.2
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2021-10-31 03:36 UTC by Wachid Adi Nugroho
Modified: 2022-03-08 14:50 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wachid Adi Nugroho 2021-10-31 03:36:18 UTC
SUMMARY
Can't close desktop grid with four finger swipe up gestures

STEPS TO REPRODUCE
1. Swipe up with four finger to open desktop grid
2. Swipe up with four finger to close desktop grid

OBSERVED RESULT
desktop grid didn't closed

EXPECTED RESULT
desktop grid closed and back to desktop

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: 5.23.2
KDE Frameworks Version: 5.87.0
Qt Version: 5.15.2
Kernel Version: 5.14.15-zen1-1-zen (64-bit)
Graphics Platform: Wayland
Processors: 4 × Intel® Core™ i3-2370M CPU @ 2.40GHz
Memory: 5.7 GiB of RAM
Graphics Processor: Mesa DRI Intel® HD Graphics 3000
Comment 1 Nate Graham 2021-11-01 15:58:06 UTC
Can confirm. Jan, can you investigate?
Comment 2 Bug Janitor Service 2022-03-08 01:27:40 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/2096
Comment 3 Nate Graham 2022-03-08 14:49:43 UTC
Git commit 5ffc307ca8126845ce632df2216690085268c743 by Nate Graham, on behalf of Jan Blackquill.
Committed on 08/03/2022 at 14:49.
Pushed by ngraham into branch 'master'.

effects/desktopgrid: register down gesture

Now you can close the desktop grid with the inverse
of the gesture you used to open it.
FIXED-IN: 5.24.4

M  +7    -0    src/effects/desktopgrid/desktopgrid.cpp

https://invent.kde.org/plasma/kwin/commit/5ffc307ca8126845ce632df2216690085268c743
Comment 4 Nate Graham 2022-03-08 14:50:37 UTC
Git commit de5d7a849bf02c3f45c995d3e6b0ff088b56ba83 by Nate Graham, on behalf of Jan Blackquill.
Committed on 08/03/2022 at 14:50.
Pushed by ngraham into branch 'Plasma/5.24'.

effects/desktopgrid: register down gesture

Now you can close the desktop grid with the inverse
of the gesture you used to open it.
FIXED-IN: 5.24.4


(cherry picked from commit 5ffc307ca8126845ce632df2216690085268c743)

M  +7    -0    src/effects/desktopgrid/desktopgrid.cpp

https://invent.kde.org/plasma/kwin/commit/de5d7a849bf02c3f45c995d3e6b0ff088b56ba83